Page MenuHomePhabricator

Invalid date passed to Language::timeanddate when rendering credits
Closed, ResolvedPublic

Description

2012-12-18 07:48:44 srv210 dewikivoyage: [10380e81] /wiki/Rhodos Exception from line 598 of /usr/local/apache/common-local/php-1.21wmf6/includes/cache/MessageCache.php: Non-string key given
#0 /usr/local/apache/common-local/php-1.21wmf6/includes/Message.php(670): MessageCache->get(NULL, true, Object(Language))
#1 /usr/local/apache/common-local/php-1.21wmf6/includes/Message.php(431): Message->fetchMessage()
#2 /usr/local/apache/common-local/php-1.21wmf6/includes/Message.php(503): Message->toString()
#3 /usr/local/apache/common-local/php-1.21wmf6/languages/Language.php(823): Message->text()
#4 /usr/local/apache/common-local/php-1.21wmf6/languages/Language.php(869): Language->getMessageFromDB(NULL)
#5 /usr/local/apache/common-local/php-1.21wmf6/languages/Language.php(1124): Language->getMonthAbbreviation(false)
#6 /usr/local/apache/common-local/php-1.21wmf6/languages/Language.php(1969): Language->sprintfDate('H:i, j. M Y', false)
#7 /usr/local/apache/common-local/php-1.21wmf6/extensions/CreditsSource/CreditsSource_body.php(63): Language->timeanddate('1970-01-01 00:')
#8 /usr/local/apache/common-local/php-1.21wmf6/includes/SkinTemplate.php(339): CreditsSourceAction::getCredits(10, true)
#9 /usr/local/apache/common-local/php-1.21wmf6/includes/OutputPage.php(1988): SkinTemplate->outputPage()
#10 /usr/local/apache/common-local/php-1.21wmf6/includes/Wiki.php(562): OutputPage->output()
#11 /usr/local/apache/common-local/php-1.21wmf6/includes/Wiki.php(448): MediaWiki->main()
#12 /usr/local/apache/common-local/php-1.21wmf6/index.php(59): MediaWiki->run()
#13 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#14 {main}


Version: master
Severity: major

Details

Reference
bz43224

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:53 AM
bzimport set Reference to bz43224.
bzimport added a subscriber: Unknown Object (MLST).
MaxSem created this task.Dec 18 2012, 8:57 AM
Aklapper lowered the priority of this task from High to Medium.Jan 2 2015, 1:15 PM
Krinkle closed this task as Resolved.Oct 27 2018, 8:52 PM
Krinkle added a subscriber: Krinkle.

Not seen in WMF Logstash or 30 days and did not find problems with the url that originally caused the problem.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM